Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513060 - Dead link at OCP Advanced Install
Summary: Dead link at OCP Advanced Install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 16:52 UTC by hgomes
Modified: 2017-11-27 22:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 22:51:11 UTC


Attachments (Terms of Use)

Description hgomes 2017-11-14 16:52:44 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.5/install_config/install/advanced_install.html#configuring-host-variables

Section Number and Name: 
configuring-host-variables
Describe the issue: 
There is a link under the "openshift_node_kubelet_args" variable called "Kubelet’s command line arguments" which points to https://kubernetes.io/v1.1/docs/admin/kubelet/.

Upon clicking this link, you get a 404 page on the Kubernetes site.

Suggestions for improvement: 

I believe this link should point to
https://kubernetes.io/docs/admin/kubelet/ or
https://v1-5.docs.kubernetes.io/docs/admin/kubelet/
for the version related to OpenShift 3.5.

Additional information:

Comment 2 Gaurav Nelson 2017-11-17 01:18:02 UTC
Chnages were already there in 3.4 and 3.7 branches, I have added those changes in 3.5 and 3.6 branches as well. 
https://github.com/openshift/openshift-docs/pull/6404
https://github.com/openshift/openshift-docs/pull/6405

Comment 3 hgomes 2017-11-27 16:28:51 UTC
I'm able to see the links working now at :

https://docs.openshift.com/container-platform/3.5/install_config/install/advanced_install.html#configuring-host-variables


Feel free to close this BZ.



Thank you.

Comment 4 Gaurav Nelson 2017-11-27 22:51:11 UTC
Thanks @hgomes, changes are now live.


Note You need to log in before you can comment on or make changes to this bug.